﻿Public NotInheritable Class MainPage
  Inherits Page

  Protected Overrides Sub OnNavigatedTo(
    e As Navigation.NavigationEventArgs)

    ScrollViewerMain.HorizontalScrollBarVisibility =
      ScrollBarVisibility.Auto
    ScrollViewerMain.VerticalScrollBarVisibility =
      ScrollBarVisibility.Auto
  End Sub

  Private Async Sub ButtonOpen_Click(sender As Object,
    e As RoutedEventArgs) Handles ButtonOpen.Click

    Dim fop As New Windows.Storage.Pickers.
      FileOpenPicker()
    fop.FileTypeFilter.Add(".jpg")
    fop.FileTypeFilter.Add(".jpeg")
    fop.FileTypeFilter.Add(".bmp")

    Dim sFile = Await fop.PickSingleFileAsync()
    If Not sFile Is Nothing Then
      Dim stream = Await sFile.OpenAsync(
        Windows.Storage.FileAccessMode.Read)
      Dim bi = New BitmapImage()
      bi.SetSource(stream)
      ImageMain.Source = bi
    End If
  End Sub

  Private Sub ButtonResetSize_Click(sender As Object,
    e As RoutedEventArgs) Handles ButtonResetSize.Click

    ScrollViewerMain.ZoomToFactor(1)
  End Sub

  Private Sub ScrollViewerMain_ViewChanged(
    sender As Object,
    e As ScrollViewerViewChangedEventArgs
    ) Handles ScrollViewerMain.ViewChanged

    TextBlockZoom.Text = "ズーム：" &
      ScrollViewerMain.ZoomFactor.ToString("F2")
  End Sub

  Private Sub ScrollViewerMain_LayoutUpdated(
    sender As Object, e As Object
    ) Handles ScrollViewerMain.LayoutUpdated

    ScrollViewerMain.MaxWidth = Me.ActualWidth
  End Sub
End Class
